Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.debugger.jpda
Class SmartSteppingCallback

    java.lang.Object
      org.netbeans.spi.debugger.jpda.SmartSteppingCallback

    public abstract class SmartSteppingCallback

extends Object

Listens on stepping engine and defines classes / places the debugger can stop in.

Constructor Summary
`SmartSteppingCallback()`

Method Summary
`abstract void` | `initFilter(SmartSteppingFilter f)` Defines default set of smart stepping filters.
`abstract boolean` | `stopHere(ContextProvider lookupProvider, JPDAThread thread, SmartSteppingFilter f)` This method is called during stepping through debugged application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmartSteppingCallback

    public SmartSteppingCallback()

Method Detail

### initFilter

    public abstract void initFilter(SmartSteppingFilter f)

  Defines default set of smart stepping filters. Method is called when a new JPDA debugger session is created.

  Parameters:
    `f` - a filter to be initialized

### stopHere

    public abstract boolean stopHere(ContextProvider lookupProvider,
                                     JPDAThread thread,
                                     SmartSteppingFilter f)

  This method is called during stepping through debugged application. The execution is stopped when all registerred `SmartSteppingCallback`s returns true.

  Parameters:
    `thread` - contains all available information about current position in debugged application
    `f` - a filter
  Returns:
    true if execution should be stopped on the current position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.